Page MenuHome

Move rotate scale not working while in draw mode.
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-10-10.0.14393 64 Bits
Graphics card: Intel(R) HD Graphics 4400 Intel 4.3.0 - Build 20.19.15.4835

Blender Version
Broken: version: 2.80 (sub 49), branch: blender2.7, commit date: 2019-03-17 23:25, hash: rB9099305771ec
Worked: (optional)

Short description of error
[Please fill out a short description of the error here]

In previous versions of Blender 2.8 it was possible to move rotate and scale while in Grease pencil draw mode while the grease pencil object is selected in Object mode. Now these options do not work any more.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

In the previous version of blender 2.8 with 2D animation template while in draw mode it was possible to move the entire GP object by hitting G and scale by hitting S key and rotate by hitting R key this was very useful in certain ways. It should be noted that for these options to work only the GP object should stay selected in Outliner.
But now it seems that these options wont work any more. Not sure if this is done on purpose but those are useful options.

Details

Type
Bug

Event Timeline

This was removed by design. The grease pencil team decided remove this options after doing a review of how it was working. The draw mode is only for drawing, not to move.

See ef66aa2005de for more details.

@Brecht Van Lommel (brecht) Not sure what status set to this task.

Just close as Archived if you don't think it's a bug.

Antonio Vazquez (antoniov) claimed this task.

This was removed by design. The grease pencil team decided remove this options after doing a review of how it was working. The draw mode is only for drawing, not to move.
See ef66aa2005de for more details.
@Brecht Van Lommel (brecht) Not sure what status set to this task.

Ah..this doesn't sound good. In my case these options were giving possibilities like rotate canvas in Photoshop by pressing R and I am sure would be useful for other artists as well. further move and rotate options in draw mode were giving real possibilities of 3d sketching while drawing if i want to draw in different orientations it was possible to make without leaving draw mode by using these move rotate options.
May be it should be reconsidered to bring back other wise everytime you have to come to draw mode which will be interrupting the workflow.

Rotate the drawing plane is different and it's something pending, but now the R was not rotating the canvas (as Photoshop), but the real object and this is something totally different.

@Matias Mendiola (mendio) @Daniel Martinez Lara (pepeland) What is your opinion here?

Mohan (pattamp) added a comment.EditedMar 23 2019, 12:06 PM

>>! In T62871#646767, @Antonio Vazquez (antoniov) wrote:

Rotate the drawing plane is different and it's something pending, but now the R was not rotating the canvas (as Photoshop), but the real object and this is something totally different.
@Matias Mendiola (mendio) @Daniel Martinez Lara (pepeland) What is your opinion here?

It would be good to have them back. In the past i saw some scripts and drivers made to do the exact same thing which is natively built up until now but now suddenly disabled.

https://youtu.be/jx3eSHUhGGM

also attached a short demo of what i was talking about.

Rotate Canvas (and flip) is a must in deed and it will implemented in a future but It's not a good desing choice IMO doing this by rotating the objectin draw mode, draw mode is for draw not for manipulating the objects. We need rotate the whole viewport.

Rotate Canvas (and flip) is a must in deed and it will implemented in a future but It's not a good desing choice IMO doing this by rotating the objectin draw mode, draw mode is for draw not for manipulating the objects. We need rotate the whole viewport.

just to add while in draw mode it was possible only to move or rotate selected grease pencil object othe objects if any from the scene cannot be moved. to move or effect other objects we should get back to object mode. i fail to understand why create something new when the current features are doing the exact job..which rotate plane and even flip can also be performed in version 2.8.46 with keys s x -1 while still in draw mode..

@Antonio Vazquez (antoniov): shift + numpad 4/6 view roll is like rotating the canvas I think.

@Antonio Vazquez (antoniov): shift + numpad 4/6 view roll is like rotating the canvas I think.

with this we will get out of camera view.

Lock Camera to View can be used for that.

Lock Camera to View can be used for that.

Hi

i would like stick with previous options. by changing the code added antonio and do my own build is it possible to go back to transformations in draw mode?
thanks in advance

Lock Camera to View can be used for that.

That's right, but in this way we are rotating the actual camera. What we are looking for is a way to rotate the viewport from the camera point of view but without affecting the real camera, just to help draw lines more easily

The optiomal solution would be some type of gizmo, somthing like:

  1. Press a key
  2. Display a gizmo and rotate using mouse or some keys
  3. Draw and
  4. Some key to reset rotation.

Of course, this must be a "virtual" rotation of the viewport, not a change in any object rotation or camera rotation. It would affect only viewport, never in render. I think this could be used not only for grease pencil, but texture paint and other paint modes. Draw some straight lines in vertical is more difficult due arm natural anatomy...always it's easier draw with horizontal movements.

Mohan (pattamp) added a comment.EditedMar 26 2019, 8:08 AM

The optiomal solution would be some type of gizmo, somthing like:

  1. Press a key
  2. Display a gizmo and rotate using mouse or some keys
  3. Draw and
  4. Some key to reset rotation.

Of course, this must be a "virtual" rotation of the viewport, not a change in any object rotation or camera rotation. It would affect only viewport, never in render. I think this could be used not only for grease pencil, but texture paint and other paint modes. Draw some straight lines in vertical is more difficult due arm natural anatomy...always it's easier draw with horizontal movements.

Yes this would be great, but till then can we bring back those G R S options or a toggle..
I did a build without errors to enable transformations in Draw mode it is all well but I see there are other differences of my build vs blender official for example pie menus are not the same in official vs mine. menu positions are overlapping while I resize window(ref image attached near view and stroke menu items on top left).
May be not relevant question but appreciate if someone can point me to some help about build in from repo. i have followed blender wiki instructions and built successfully without any errors

The optiomal solution would be some type of gizmo, somthing like:

  1. Press a key
  2. Display a gizmo and rotate using mouse or some keys
  3. Draw and
  4. Some key to reset rotation.

Of course, this must be a "virtual" rotation of the viewport, not a change in any object rotation or camera rotation. It would affect only viewport, never in render. I think this could be used not only for grease pencil, but texture paint and other paint modes. Draw some straight lines in vertical is more difficult due arm natural anatomy...always it's easier draw with horizontal movements.

Regarding this point > 2) Display a gizmo and rotate using mouse or some keys
Looking at the pan, zoom and axial gizmos in the upper right corner of the viewport they perform panning and zooming of the viewport, in such case implementing viewport rotation may be just an extended part to the existing ones..is this not possible.
I used to work in Catia in the past in which viewport rotation can be done using arcs on the gizmo as shown in this picture (similar method already exists in blender for transform gizmos one way could be extending similar arcs to viewport gizmo in 3 planes + one for view plane.


currently Alt + Left or MMB rotates the view may be Alt - RMB can be used for viewport rotation aligned with view plane.
If we want to reset the view rotation can be done using keys 1, 3 or 7,